import { Request, Response, NextFunction } from "express";
import { AppDataSource } from "../data-source";
import { Web } from "../entity/Web";

export class GetWebsController{
    async all(request: Request, response: Response, next: NextFunction) {
        AppDataSource.getRepository(Web).find().then((data)=>{
            return response.json(data.map(d=>d.name))
        })
    }
}